<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:richx="http://xpressosystems/richx"
                template="/templates/main.xhtml">

    <ui:define name="title">
		Productos en Almacenes
    </ui:define>

    <ui:define name="location">
        <h:outputText value="Administracion > Productos en Almacenes" style="font-family: Arial;font-size : 10px;"/>
    </ui:define>

    <ui:define name="body">

        <a4j:form id="productosEnAlmacenesForm">

            <h:panelGroup>
                <rich:messages layout="list" >
                    <f:facet name="errorMarker">
                        <h:graphicImage  value="/images/error16x16.gif" />
                    </f:facet>
                </rich:messages>
            </h:panelGroup>

			<h:panelGrid columns="2" styleClass="center" border="0"
						 columnClasses="columnWidth20,columnWidth80" >

                <h:outputText value="Sucursal : " styleClass="label_bold_right"/>

                <h:panelGroup style="display:block; text-align:left; background-color:transparent;">

                    <h:selectOneMenu id="sucursal"
									 value="#{operacionesEnAlmacenesMB.sucursalId}"
									 valueChangeListener="#{operacionesEnAlmacenesMB.sucursalChanged}"
                                     required="false">
                        <f:selectItems  value="#{operacionesEnAlmacenesMB.sucursales}"/>
						<a4j:support reRender="productosEnAlmacenesForm" event="onchange"/>
                    </h:selectOneMenu>

                </h:panelGroup>
			</h:panelGrid>


            <rich:dataTable id="productosEnAlmacenesTable"
							value="#{operacionesEnAlmacenesMB.allProductosEnTransitoDeSucursal}"
                            var="productoEnTrancito"
                            width="90%"
                            styleClass="center" columnClasses="columnWidth10,columnWidth50,columnWidth20,columnWidth20" >

                <f:facet name="header">
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
                        <h:outputText value="Productos en Almacenes de Sucursal" />
                    </h:panelGroup>

                </f:facet>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="ID" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
                        <h:outputText value="#{productoEnTrancito.producto.id} [#{productoEnTrancito.producto.codigoBarras}]" />
                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Producto" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
						<rich:panel  styleClass="tooltip-text" bodyClass="rich-laguna-panel-no-header">
							<!--
							  <h:graphicImage value="/dynamicImages/Producto?id=#{productoEnTrancito.producto.id}_20x15"/>
							-->
							<img src="/pmarlen-web/images/productos/ICO_PRODUCTO_#{productoEnTrancito.producto.id}.jpg"/>
                            <rich:spacer width="10"/>
                            <h:outputText value="#{productoEnTrancito.producto.nombre} / #{productoEnTrancito.producto.presentacion}"/>

                            <rich:toolTip showEvent="onclick" direction="bottom-left" mode="ajax" styleClass="tooltip" layout="block">

                                <f:facet name="defaultContent">
                                    <img src="/pmarlen-web/images/gif_loading_azul.gif"/>	     
                                </f:facet>

                                <h:panelGroup style="display:block; text-align:center; background-color:transparent;">

									<img src="/pmarlen-web/images/productos/MED_PRODUCTO_#{productoEnTrancito.producto.id}.jpg"/>
                                </h:panelGroup>

                            </rich:toolTip>
                        </rich:panel>

                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Almacen Principal ($ A / T )" />
                    </f:facet>
					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >

						<h:outputText value="#{productoEnTrancito.principalPV}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
						<br/>
                        <h:outputText 	value="#{productoEnTrancito.principalActual}"/> /
						<h:outputText 	value="#{productoEnTrancito.principalEntrancito}"/> 
                    </h:panelGroup>					
				</rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Almacen Oportunidad ($ A / T )" />
                    </f:facet>

					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
						<h:outputText value="#{productoEnTrancito.oportunidadPV}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
						<br/>
                        <h:outputText 	value="#{productoEnTrancito.oportunidadActual}"/> /
						<h:outputText 	value="#{productoEnTrancito.oportunidadEntrancito}"/> 
                    </h:panelGroup>
				</rich:column>

				<f:facet name="footer">
					
					<rich:datascroller	for="productosEnAlmacenesTable" maxPages="20"  
											page="#{operacionesEnAlmacenesMB.scrollerPage}" 
											id="productosEnAlmacenesTableScroller" />
				</f:facet>

            </rich:dataTable>

        </a4j:form>
    </ui:define>

</ui:composition>
